### Method

# Ide Task return_error_if_cancelled

#### Declaration

    gboolean
    ide_task_return_error_if_cancelled (
      IdeTask* self
    )

#### Description

Returns a new `GError` if the cancellable associated with the task has been cancelled. If so, `TRUE` is returned, otherwise `FALSE`.

If the source object related to the task is an `IdeObject` and that object has had been requested to destroy, it too will be considered a cancellation state.

Available since: | 3.32

#### Return value

Returns: | `gboolean`
| `TRUE` if the task was cancelled and error returned.